<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: FCGIWriter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classFCGIWriter.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classFCGIWriter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FCGIWriter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>FCGI <a class="el" href="classWriter.html" title="Virtual base class for various writers. ">Writer</a> Class.  
 <a href="classFCGIWriter.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Writer_8h_source.html">Writer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aadea2e2f6b31969c257c1a0b1e06fc0b"><td class="memItemLeft" align="right" valign="top"><a id="aadea2e2f6b31969c257c1a0b1e06fc0b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFCGIWriter.html#aadea2e2f6b31969c257c1a0b1e06fc0b">FCGIWriter</a> (FCGX_Stream *o)</td></tr>
<tr class="memdesc:aadea2e2f6b31969c257c1a0b1e06fc0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:aadea2e2f6b31969c257c1a0b1e06fc0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a24836245d2f9392fcab8fc5b1d71a8"><td class="memItemLeft" align="right" valign="top"><a id="a8a24836245d2f9392fcab8fc5b1d71a8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFCGIWriter.html#a8a24836245d2f9392fcab8fc5b1d71a8">~FCGIWriter</a> ()</td></tr>
<tr class="memdesc:a8a24836245d2f9392fcab8fc5b1d71a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a8a24836245d2f9392fcab8fc5b1d71a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ae145eac333d17eb2939c19dd8c1ef8"><td class="memItemLeft" align="right" valign="top"><a id="a5ae145eac333d17eb2939c19dd8c1ef8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>putStr</b> (const char *msg, int len)</td></tr>
<tr class="separator:a5ae145eac333d17eb2939c19dd8c1ef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a382780da6cd2a1a5b2940e35ecc3b1a8"><td class="memItemLeft" align="right" valign="top"><a id="a382780da6cd2a1a5b2940e35ecc3b1a8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>putS</b> (const char *msg)</td></tr>
<tr class="separator:a382780da6cd2a1a5b2940e35ecc3b1a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6da231caa16c4436f8588a38c3df29d"><td class="memItemLeft" align="right" valign="top"><a id="ab6da231caa16c4436f8588a38c3df29d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>printf</b> (const char *msg)</td></tr>
<tr class="separator:ab6da231caa16c4436f8588a38c3df29d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a5f9a1e5663fc4c6083a590902d210"><td class="memItemLeft" align="right" valign="top"><a id="a11a5f9a1e5663fc4c6083a590902d210"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>flush</b> ()</td></tr>
<tr class="separator:a11a5f9a1e5663fc4c6083a590902d210"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0998c7bbd583746fb977a0b0d0b54b4c"><td class="memItemLeft" align="right" valign="top"><a id="a0998c7bbd583746fb977a0b0d0b54b4c"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>buffer</b></td></tr>
<tr class="separator:a0998c7bbd583746fb977a0b0d0b54b4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617ad5d5620ee50e2636137dbed3dfbd"><td class="memItemLeft" align="right" valign="top"><a id="a617ad5d5620ee50e2636137dbed3dfbd"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>sz</b></td></tr>
<tr class="separator:a617ad5d5620ee50e2636137dbed3dfbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>FCGI <a class="el" href="classWriter.html" title="Virtual base class for various writers. ">Writer</a> Class. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Writer_8h_source.html">Writer.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classFCGIWriter.html">FCGIWriter</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
